Open CASCADE Technology: TopOpeBRepBuild_ShellFaceSet Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TopOpeBRepBuild_ShellFaceSet Class Reference

a bound is a shell, a boundelement is a face. The ShapeSet stores : More...

`#include <TopOpeBRepBuild_ShellFaceSet.hxx>`

Inheritance diagram for TopOpeBRepBuild_ShellFaceSet:
[legend]

## Public Member Functions
| TopOpeBRepBuild_ShellFaceSet ()
| Creates a ShellFaceSet to build blocks of faces connected by edges. More...
| TopOpeBRepBuild_ShellFaceSet (const TopoDS_Shape &S, const Standard_Address Addr=NULL)
| Creates a ShellFaceSet to build blocks of faces connected by edges. More...
const TopoDS_Solid & | Solid () const
virtual void | AddShape (const TopoDS_Shape &S)
| Adds <S> to the list of shapes. (wires or shells). More...
virtual void | AddStartElement (const TopoDS_Shape &S)
| (S is a face or edge) Add S to the list of starting shapes used for reconstructions. apply AddElement(S). More...
virtual void | AddElement (const TopoDS_Shape &S)
| for each subshape SE of S of type mySubShapeType More...
virtual void | DumpSS ()
virtual TCollection_AsciiString | SName (const TopoDS_Shape &S, const TCollection_AsciiString &sb="", const TCollection_AsciiString &sa="") const
virtual TCollection_AsciiString | SName (const TopTools_ListOfShape &S, const TCollection_AsciiString &sb="", const TCollection_AsciiString &sa="") const
virtual TCollection_AsciiString | SNameori (const TopoDS_Shape &S, const TCollection_AsciiString &sb="", const TCollection_AsciiString &sa="") const
virtual TCollection_AsciiString | SNameori (const TopTools_ListOfShape &S, const TCollection_AsciiString &sb="", const TCollection_AsciiString &sa="") const
Public Member Functions inherited from TopOpeBRepBuild_ShapeSet
| TopOpeBRepBuild_ShapeSet (const TopAbs_ShapeEnum SubShapeType, const Standard_Boolean checkshape=Standard_True)
| Creates a ShapeSet in order to build shapes connected by <SubShapeType> shapes. <checkshape>:check (or not) the shapes, startelements, elements added. More...
virtual void | Delete ()
virtual | ~TopOpeBRepBuild_ShapeSet ()
const TopTools_ListOfShape & | StartElements () const
| return a reference on myStartShapes More...
void | InitShapes ()
Standard_Boolean | MoreShapes () const
void | NextShape ()
const TopoDS_Shape & | Shape () const
void | InitStartElements ()
Standard_Boolean | MoreStartElements () const
void | NextStartElement ()
const TopoDS_Shape & | StartElement () const
virtual void | InitNeighbours (const TopoDS_Shape &S)
Standard_Boolean | MoreNeighbours ()
void | NextNeighbour ()
const TopoDS_Shape & | Neighbour () const
TopTools_ListOfShape & | ChangeStartShapes ()
virtual void | FindNeighbours ()
| Build the list of neighbour shapes of myCurrentShape (neighbour shapes and myCurrentShapes are of type t) Initialize myIncidentShapesIter on neighbour shapes. More...
virtual const TopTools_ListOfShape & | MakeNeighboursList (const TopoDS_Shape &E, const TopoDS_Shape &V)
Standard_Integer | MaxNumberSubShape (const TopoDS_Shape &Shape)
void | CheckShape (const Standard_Boolean checkshape)
Standard_Boolean | CheckShape () const
Standard_Boolean | CheckShape (const TopoDS_Shape &S, const Standard_Boolean checkgeom=Standard_False)
void | DumpName (Standard_OStream &OS, const TCollection_AsciiString &str) const
void | DumpCheck (Standard_OStream &OS, const TCollection_AsciiString &str, const TopoDS_Shape &S, const Standard_Boolean chk) const
virtual void | DumpBB ()
void | DEBName (const TCollection_AsciiString &N)
const TCollection_AsciiString & | DEBName () const
void | DEBNumber (const Standard_Integer I)
Standard_Integer | DEBNumber () const

## Additional Inherited Members
Protected Member Functions inherited from TopOpeBRepBuild_ShapeSet
void | ProcessAddShape (const TopoDS_Shape &S)
void | ProcessAddStartElement (const TopoDS_Shape &S)
void | ProcessAddElement (const TopoDS_Shape &S)
Protected Attributes inherited from TopOpeBRepBuild_ShapeSet
TopAbs_ShapeEnum | myShapeType
TopAbs_ShapeEnum | mySubShapeType
TopOpeBRepTool_ShapeExplorer | mySubShapeExplorer
TopTools_ListOfShape | myStartShapes
TopTools_ListIteratorOfListOfShape | myStartShapesIter
TopTools_IndexedDataMapOfShapeListOfShape | mySubShapeMap
TopTools_ListIteratorOfListOfShape | myIncidentShapesIter
TopTools_ListOfShape | myShapes
TopTools_ListIteratorOfListOfShape | myShapesIter
TopoDS_Shape | myCurrentShape
TopTools_ListOfShape | myCurrentShapeNeighbours
Standard_Integer | myDEBNumber
TCollection_AsciiString | myDEBName
TopTools_IndexedMapOfOrientedShape | myOMSS
TopTools_IndexedMapOfOrientedShape | myOMES
TopTools_IndexedMapOfOrientedShape | myOMSH
Standard_Boolean | myCheckShape

## Detailed Description

a bound is a shell, a boundelement is a face. The ShapeSet stores :

- a list of shell (bounds),
- a list of face (boundelements) to start reconstructions,
- a map of edge giving the list of face incident to an edge.

## Constructor & Destructor Documentation

TopOpeBRepBuild_ShellFaceSet::TopOpeBRepBuild_ShellFaceSet | ( |  | ) |

Creates a ShellFaceSet to build blocks of faces connected by edges.

TopOpeBRepBuild_ShellFaceSet::TopOpeBRepBuild_ShellFaceSet | ( | const TopoDS_Shape & | S,
|  | const Standard_Address | Addr = `NULL`
| ) |  |

Creates a ShellFaceSet to build blocks of faces connected by edges.

## Member Function Documentation

virtual void TopOpeBRepBuild_ShellFaceSet::AddElement | ( | const TopoDS_Shape & | S | ) |
| virtual

for each subshape SE of S of type mySubShapeType

- Add subshapes of S to the map of subshapes (mySubShapeMap)
- Add S to the list of shape incident to subshapes of S.

Reimplemented from TopOpeBRepBuild_ShapeSet.

virtual void TopOpeBRepBuild_ShellFaceSet::AddShape | ( | const TopoDS_Shape & | S | ) |
| virtual

Adds <S> to the list of shapes. (wires or shells).

Reimplemented from TopOpeBRepBuild_ShapeSet.

virtual void TopOpeBRepBuild_ShellFaceSet::AddStartElement | ( | const TopoDS_Shape & | S | ) |
| virtual

(S is a face or edge) Add S to the list of starting shapes used for reconstructions. apply AddElement(S).

Reimplemented from TopOpeBRepBuild_ShapeSet.

virtual void TopOpeBRepBuild_ShellFaceSet::DumpSS | ( |  | ) |
| virtual

Reimplemented from TopOpeBRepBuild_ShapeSet.

virtual TCollection_AsciiString TopOpeBRepBuild_ShellFaceSet::SName | ( | const TopoDS_Shape & | S,
|  | const TCollection_AsciiString & | sb = `""`,
|  | const TCollection_AsciiString & | sa = `""`
| ) |  | const
| virtual

Reimplemented from TopOpeBRepBuild_ShapeSet.

virtual TCollection_AsciiString TopOpeBRepBuild_ShellFaceSet::SName | ( | const TopTools_ListOfShape & | S,
|  | const TCollection_AsciiString & | sb = `""`,
|  | const TCollection_AsciiString & | sa = `""`
| ) |  | const
| virtual

Reimplemented from TopOpeBRepBuild_ShapeSet.

virtual TCollection_AsciiString TopOpeBRepBuild_ShellFaceSet::SNameori | ( | const TopoDS_Shape & | S,
|  | const TCollection_AsciiString & | sb = `""`,
|  | const TCollection_AsciiString & | sa = `""`
| ) |  | const
| virtual

Reimplemented from TopOpeBRepBuild_ShapeSet.

virtual TCollection_AsciiString TopOpeBRepBuild_ShellFaceSet::SNameori | ( | const TopTools_ListOfShape & | S,
|  | const TCollection_AsciiString & | sb = `""`,
|  | const TCollection_AsciiString & | sa = `""`
| ) |  | const
| virtual

Reimplemented from TopOpeBRepBuild_ShapeSet.

const TopoDS_Solid& TopOpeBRepBuild_ShellFaceSet::Solid | ( |  | ) | const

The documentation for this class was generated from the following file:

- TopOpeBRepBuild_ShellFaceSet.hxx